HaruPage::curveTo2
HaruPage::curveTo
HaruPage
PHP Manual

# HaruPage::curveTo3

Append a Bezier curve to the current path

### Description

bool HaruPage::curveTo3 ( float `$x1` , float `$y1` , float `$x3` , float `$y3` )

Appends a Bezier curve to the current path. The point (x1, y1) and the point (x3, y3) are used as the control points for a Bezier curve and current point is moved to the point (x3, y3).

### Parameters

`x1`

  A Bezier curve control point.

`y1`

  A Bezier curve control point.

`x3`

  The current point moves here.

`x3`

  The current point moves here.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.